Enhavo
Indekso 🔎︎

# Tan Function

Kalkulas la tangenton de angulo en radianoj.

Using the angle Alpha, the Tan function calculates the ratio of the length of the side opposite the angle to the length of the side adjacent to the angle in a right-angled triangle.

Tan(Alpha) = side opposite the angle/side adjacent to angle

### Syntax:

    Tan (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Numera esprimo (en radianoj) por kiu kalkuli la tangenton.

To convert degrees to radians, multiply by Pi/180. To convert radians to degrees, multiply by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Nevalida procedurvoko

### Example:

    REM En ĉi tiu ekzemplo, la sekva elemento eblas por orta triangulo:
    REM La latero kontraŭ la angulo kaj la angulo (en gradoj) por kalkuli la longon de la latero apud la angulo:
    Sub ExampleTangens
    REM Pi = 3,1415926 estas difinita variablo
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Tajpu la longon de la latero kontraŭ la angulo: ","kontraŭa")
        dAlpha = InputBox("Tajpu la angulon Alfa (en gradoj): ","Alfa")
        Print "la longo de la latero paud la angulo estas"; (d1 / tan (dAlpha * Pi / 180))
    End Sub

Rilataj temoj

Atn Function

Cos Function

Sin Function